Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class AddRelationTypeRequest

Object
AddRelationTypeRequest

All Implemented Interfaces:
  `Serializable`

public class AddRelationTypeRequest extends Object implements Serializable
The properties of the Relation Type to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddRelationTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddRelationTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddRelationTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCoRole()`
  Required. The name of the role that the target plays.
  `String`
  `getDescription()`
  The description of the Relation Type.
  `UUID`
  `getId()`
  The ID of the new Relation Type.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Relation Type.
  `String`
  `getRole()`
  Required. The name of the role that the source plays.
  `UUID`
  `getSourceTypeId()`
  Required. The ID of the source type for the new Relation Type.
  `UUID`
  `getTargetTypeId()`
  Required. The ID of the source type for the new Relation Type.
  `int`
  `hashCode()`
  `void`
  `setCoRole(String coRole)`
  Required. The name of the role that the target plays.
  `void`
  `setDescription(String description)`
  The description of the Relation Type.
  `void`
  `setId(UUID id)`
  The ID of the new Relation Type.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Relation Type.
  `void`
  `setRole(String role)`
  Required. The name of the role that the source plays.
  `void`
  `setSourceTypeId(UUID sourceTypeId)`
  Required. The ID of the source type for the new Relation Type.
  `void`
  `setTargetTypeId(UUID targetTypeId)`
  Required. The ID of the source type for the new Relation Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddRelationTypeRequest

    public AddRelationTypeRequest()

- ## Method Details

  - ### builder

    public static AddRelationTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new Relation Type. Should be unique within all Relation Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getSourceTypeId

    public UUID getSourceTypeId()
    Required. The ID of the source type for the new Relation Type.

  - ### getRole

    public String getRole()
    Required. The name of the role that the source plays.

  - ### getTargetTypeId

    public UUID getTargetTypeId()
    Required. The ID of the source type for the new Relation Type.

  - ### getCoRole

    public String getCoRole()
    Required. The name of the role that the target plays.

  - ### getDescription

    public String getDescription()
    The description of the Relation Type.

  - ### setId

    public void setId(UUID id)
    The ID of the new Relation Type. Should be unique within all Relation Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setSourceTypeId

    public void setSourceTypeId(UUID sourceTypeId)
    Required. The ID of the source type for the new Relation Type.

  - ### setRole

    public void setRole(String role)
    Required. The name of the role that the source plays.

  - ### setTargetTypeId

    public void setTargetTypeId(UUID targetTypeId)
    Required. The ID of the source type for the new Relation Type.

  - ### setCoRole

    public void setCoRole(String coRole)
    Required. The name of the role that the target plays.

  - ### setDescription

    public void setDescription(String description)
    The description of the Relation Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`